Imagick::matteFloodfillImage
Imagick::mergeImageLayers
Imagick
PHP Manual

# Imagick::medianFilterImage

(PECL imagick 2.0.0)

Imagick::medianFilterImage — Applies a digital filter

### Description

bool Imagick::medianFilterImage ( float `$radius` )

Applies a digital filter that improves the quality of a noisy image. Each pixel is replaced by the median in a set of neighboring pixels as defined by radius.

### Parameters

`radius`

  The radius of the pixel neighborhood.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::matteFloodfillImage
Imagick::mergeImageLayers
Imagick
PHP Manual